Overview of legacy services

All of the services described in this section are bundled into the legacy runtimes, such as Go 1.11. They are not available in newer runtimes such as Go 1.12+. If you use these services, you will not be able to upgrade your app to Go 1.12+.

Google Cloud provides standalone products that are equivalent to most of these legacy services, and each of these Google Cloud products provides idiomatic client libraries. For the bundled services that are not available as separate products in Google Cloud, such as image processing, search, and messaging, you can use third-party providers or other workarounds as suggested in Migrating your App Engine app to Go 1.12+.

For information on migrating your app to use Google Cloud products, see Migrating your App Engine app to Go 1.12+.